#include <iostream>

using namespace std;

int main()
{
    long long int n,zb=0,ind=0;
    cin >> n;
    long long int x[n], y[n], z[n];
    for(long long int i =0;i<n;i++)
        cin >> x[i];
    for(long long int i =0;i<n;i++)
        cin >> y[i];
    for(long long int i =0;i<n;i++)
        cin >> z[i];


    for(long long int i =0;i<n;i++)
    {
        for(long long int a =0;a<n;a++)
        {
            if(x[i]==y[a])
            {
                for(long long int j =0;j<n;j++)
                    {
                        if(a+1==z[j])
                            zb++;
                    }
            }
        }

    }



    cout << zb << endl;
    return 0;
}